#!/bin/bash
. config

#Проверка полученных параметров
if [ -d $SITEPATH -a -w $SITEPATH ]
then echo "Директория сайта: $SITEPATH"
else
	echo "Неправильно указана директория сайта: $SITEPATH"
	exit -1
fi 	

if [ -d $PROGPATH -a -w $PROGPATH ]
then echo "Рабочая директория программы: $PROGPATH"
else
	echo "Неправильно указана рабочая директория программы: $PROGPATH"
	exit -1
fi 
echo

#Преходим в директорию сайта
cd $SITEPATH

echo -n "Создание точки восстановления сайта: "
if [ -d $BPATH ]
then
	rm -rf $BPATH
fi
mkdir $BPATH && cp -r $SITEPATH/. $PROGPATH/backup/ && echo "OK";


