#!/bin/bash
. config

#Находим разницу и сохраняем
diff -rNu --exclude-from=$NOCHECK $BPATH $SITEPATH > $PROGPATH/files.diff

RSIZE=`stat -c %s $PROGPATH/files.diff`
#Если включена опция, посылаем разницу по email
if [ $SENDEMAIL -eq 1 -a ! $RSIZE -eq 0 ]
then
	cat $PROGPATH/files.diff | mail -s "Changed files" $EMAIL
fi

#Если включена опция, автоматически заменяем измененные файлы и удаляем новые.
if [ $AUTOCHG -eq 1 -a ! $RSIZE -eq 0 ]
then
	cd $SITEPATH
	patch -ER < $PROGPATH/files.diff
fi
